MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
OutputStream Class Referenceabstract

`#include <OutputStream.hxx>`

Inheritance diagram for OutputStream:
[legend]

## Public Member Functions
| OutputStream ()=default
| OutputStream (const OutputStream &)=delete
virtual void | Write (const void *data, size_t size)=0
| Throws std::exception on error. More...

## Detailed Description

Definition at line 27 of file OutputStream.hxx.

## Constructor & Destructor Documentation

OutputStream::OutputStream | ( |  | ) |
| default

OutputStream::OutputStream | ( | const OutputStream & |  | ) |
| delete

## Member Function Documentation

virtual void OutputStream::Write | ( | const void * | data,
|  | size_t | size
| ) |  |
| pure virtual

Throws std::exception on error.

Implemented in FileOutputStream, GzipOutputStream, and StdioOutputStream.

The documentation for this class was generated from the following file:

- fs/io/OutputStream.hxx